# $Revision: 1.18 $, $Date: 2008/07/27 22:25:23 $
%define	drvver	0.9
Summary:	Modular Calendar Access Library
Summary(pl.UTF-8):	Modularna biblioteka dostępu do kalendarzy
Name:		libmcal
Version:	0.7
Release:	4
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libmcal/%{name}-%{version}.tar.gz
# Source0-md5:	8d8f16e59a7e859c1407df3d72052825
Source1:	http://dl.sourceforge.net/libmcal/mcaldrivers-%{drvver}.tar.gz
# Source1-md5:	c8c96f6cd574139b88a13f6084164cfa
Patch0:		%{name}-make.patch
Patch1:		%{name}-define.patch
Patch2:		%{name}-dirs.patch
Patch3:		%{name}-gcc4.patch
URL:		http://mcal.chek.com/
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmcal is a C library for accessing calendars. It's written to be
very modular, with plugable drivers.

%description -l pl.UTF-8
libmcal to biblioteka w C służąca do dostępu do kalendarzy. Jest tak
napisana, by być modularna, z możliwością dołączania sterowników.

%package devel
Summary:	MCAL header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MCAL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for MCAL-based programs development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów korzystających z MCAL.

%package static
Summary:	MCAL static library
Summary(pl.UTF-8):	Statyczna biblioteka MCAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of MCAL.

%description static -l pl.UTF-8
Statyczna wersja biblioteki MCAL.

%prep
%setup -q -n %{name} -a1
mv -f mcal-drivers/* .
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
chmod +x configure
%{__make} -C icap \
	CC="%{__cc}" OPTFLAGS="%{rpmcflags}"
%{__make} -C mstore \
	CC="%{__cc}" OPTFLAGS="%{rpmcflags}"

%configure2_13 \
	--with-icap \
	--with-mstore

%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f mstore/Changelog Changelog.mstore
mv -f mstore/README README.mstore

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ-MCAL FEATURE-IMPLEMENTATION HOW-TO-MCAL *.mstore
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/mcal

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmcal.spec,v $
Revision 1.18  2008/07/27 22:25:23  arekm
- release 4

Revision 1.17  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.15  2006/11/09 20:45:36  glen
- strict internal deps

Revision 1.14  2006/08/10 07:40:33  arekm
- rel 3; gcc4 fixes

Revision 1.13  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.12  2004/01/02 17:42:09  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.11  2003/12/31 12:38:43  jajcus
- %{_includedir} usage fixed

Revision 1.10  2003/12/22 09:57:42  jajcus
- use @libdir@ and @includedir@ instead of hardcoded paths (-dirs.patch)

Revision 1.9  2003/12/21 15:44:42  jajcus
- move libraries to the right libdir if it differs from %{_prefix}/lib

Revision 1.8  2003/07/19 15:19:25  djrzulf
- added patch with missed define,

Revision 1.7  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.6  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/12 19:58:57  qboosh
- updated to 0.7, drivers to 0.9
- removed obsolete echo patch, updated make patch
- enabled PAM support

Revision 1.4  2003/04/08 12:54:44  qboosh
- use http for sources from sourceforge

Revision 1.3  2002/11/27 21:10:41  juandon
- new %doc

Revision 1.2  2002/11/25 14:16:55  ankry
- massive attack: no need for 755 for *.la

Revision 1.1  2002/05/03 21:06:50  qboosh
- new; make patch adds support for building shared library and DESTDIR
